Index: /branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions.MultiObjective/3.3/Interfaces/IConstrainedTestFunction.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions.MultiObjective/3.3/Interfaces/IConstrainedTestFunction.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions.MultiObjective/3.3/Interfaces/IConstrainedTestFunction.cs	(revision 14929)
@@ -22,4 +22,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Encodings.RealVectorEncoding;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.TestFunctions.MultiObjective {
@@ -27,4 +28,5 @@
   /// An interface which represents an evaluation operator for multi objective test functions.
   /// </summary>
+  [StorableType("d09697f7-d1c7-4254-837b-973d92904204")]
   public interface IConstrainedTestFunction : INamedItem {
 
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions.MultiObjective/3.3/Interfaces/IMultiObjectiveTestFunction.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions.MultiObjective/3.3/Interfaces/IMultiObjectiveTestFunction.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions.MultiObjective/3.3/Interfaces/IMultiObjectiveTestFunction.cs	(revision 14929)
@@ -23,4 +23,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Encodings.RealVectorEncoding;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.TestFunctions.MultiObjective {
@@ -28,4 +29,5 @@
   /// An interface which represents an multi objective test functions.
   /// </summary>
+  [StorableType("23b5e67d-d867-47f7-a64a-e0a2c40a4929")]
   public interface IMultiObjectiveTestFunction : INamedItem {
     bool[] Maximization(int objectives);
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions.MultiObjective/3.3/Interfaces/IMultiObjectiveTestFunctionAnalyzer.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions.MultiObjective/3.3/Interfaces/IMultiObjectiveTestFunctionAnalyzer.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions.MultiObjective/3.3/Interfaces/IMultiObjectiveTestFunctionAnalyzer.cs	(revision 14929)
@@ -22,7 +22,9 @@
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.TestFunctions.MultiObjective {
 
+  [StorableType("04dd8c80-95d7-4813-8565-bb6bc86bd901")]
   public interface IMultiObjectiveTestFunctionAnalyzer : IAnalyzer, IMultiObjectiveOperator {
     IScopeTreeLookupParameter<DoubleArray> QualitiesParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions.MultiObjective/3.3/NonDominatedSelect.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions.MultiObjective/3.3/NonDominatedSelect.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions.MultiObjective/3.3/NonDominatedSelect.cs	(revision 14929)
@@ -21,8 +21,10 @@
 
 using System.Collections.Generic;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.TestFunctions.MultiObjective {
 
   public static class NonDominatedSelect {
+    [StorableType("4bde4249-f0af-4bd4-a33c-2b05c1abb389")]
     public enum DominationResult { Dominates, IsDominated, IsNonDominated };
 
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/IBestSingleObjectiveTestFunctionSolutionAnalyzer.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/IBestSingleObjectiveTestFunctionSolutionAnalyzer.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/IBestSingleObjectiveTestFunctionSolutionAnalyzer.cs	(revision 14929)
@@ -22,4 +22,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.TestFunctions {
@@ -27,4 +28,5 @@
   /// An interface which represents operators for analyzing the best solution of single objective TestFunction Problems given in real vector representation.
   /// </summary>
+  [StorableType("0c2f7368-4196-4f1e-be39-08498595f665")]
   public interface IBestSingleObjectiveTestFunctionSolutionAnalyzer : IAnalyzer, ISingleObjectiveOperator {
     ILookupParameter RealVectorParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/IRastriginMoveEvaluator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/IRastriginMoveEvaluator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/IRastriginMoveEvaluator.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Data;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.TestFunctions {
+  [StorableType("69063889-6ce6-4bcc-b5f5-fe5f42cc3692")]
   public interface IRastriginMoveEvaluator : ISingleObjectiveTestFunctionAdditiveMoveEvaluator {
     DoubleValue A { get; set; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/ISingleObjectiveTestFunctionAdditiveMoveEvaluator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/ISingleObjectiveTestFunctionAdditiveMoveEvaluator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/ISingleObjectiveTestFunctionAdditiveMoveEvaluator.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Encodings.RealVectorEncoding;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.TestFunctions {
+  [StorableType("22d7027d-118f-4fd1-bfbf-14d98de3c34b")]
   public interface ISingleObjectiveTestFunctionAdditiveMoveEvaluator : ISingleObjectiveTestFunctionMoveEvaluator, IAdditiveRealVectorMoveOperator {
   }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/ISingleObjectiveTestFunctionMoveEvaluator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/ISingleObjectiveTestFunctionMoveEvaluator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/ISingleObjectiveTestFunctionMoveEvaluator.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using System;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.TestFunctions {
+  [StorableType("488fc52e-8c2b-4cc7-9431-e229f001162b")]
   public interface ISingleObjectiveTestFunctionMoveEvaluator : ISingleObjectiveMoveEvaluator, IMoveOperator {
     Type EvaluatorType { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/ISingleObjectiveTestFunctionProblemEvaluator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/ISingleObjectiveTestFunctionProblemEvaluator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/ISingleObjectiveTestFunctionProblemEvaluator.cs	(revision 14929)
@@ -24,4 +24,5 @@
 using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.TestFunctions {
@@ -29,4 +30,5 @@
   /// An interface which represents an evaluation operator for single objective test functions.
   /// </summary>
+  [StorableType("143214d5-8cf7-44a2-b73a-8aab763ca5c6")]
   public interface ISingleObjectiveTestFunctionProblemEvaluator : ISingleObjectiveEvaluator {
     bool Maximization { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/ISingleObjectiveTestFunctionProblemSolutionsVisualizer.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/ISingleObjectiveTestFunctionProblemSolutionsVisualizer.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/ISingleObjectiveTestFunctionProblemSolutionsVisualizer.cs	(revision 14929)
@@ -23,4 +23,5 @@
 using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.TestFunctions {
@@ -28,4 +29,5 @@
   /// An interface which represents an operator for visualizing solutions of single objective test functions.
   /// </summary>
+  [StorableType("b710723c-c799-4a7a-8e7c-221e100cbad1")]
   public interface ISingleObjectiveTestFunctionProblemSolutionsVisualizer : IAnalyzer {
     ILookupParameter<RealVector> PointParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/ISphereMoveEvaluator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/ISphereMoveEvaluator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/ISphereMoveEvaluator.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Data;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.TestFunctions {
+  [StorableType("9c5e17fd-f3fc-4478-b5a2-176b099c3374")]
   public interface ISphereMoveEvaluator : ISingleObjectiveTestFunctionAdditiveMoveEvaluator {
     DoubleValue C { get; set; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.TravelingSalesman/3.3/Interfaces/ITSPCoordinatesPathEvaluator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.TravelingSalesman/3.3/Interfaces/ITSPCoordinatesPathEvaluator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.TravelingSalesman/3.3/Interfaces/ITSPCoordinatesPathEvaluator.cs	(revision 14929)
@@ -22,4 +22,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.TravelingSalesman {
@@ -27,4 +28,5 @@
   /// An interface which represents an evaluation operator which evaluates TSP solutions given in path representation using city coordinates.
   /// </summary>
+  [StorableType("bbeccc08-0afd-4664-9676-7055b7d05b7b")]
   public interface ITSPCoordinatesPathEvaluator : ITSPPathEvaluator {
     ILookupParameter<DoubleMatrix> CoordinatesParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.TravelingSalesman/3.3/Interfaces/ITSPDistanceMatrixEvaluator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.TravelingSalesman/3.3/Interfaces/ITSPDistanceMatrixEvaluator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.TravelingSalesman/3.3/Interfaces/ITSPDistanceMatrixEvaluator.cs	(revision 14929)
@@ -21,4 +21,5 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.TravelingSalesman {
@@ -26,4 +27,5 @@
   /// An interface which represents an evaluation operator which evaluates TSP solutions given in path representation using a distance matrix.
   /// </summary>
+  [StorableType("78a3ce61-8e51-4c50-9272-83319f5cebff")]
   public interface ITSPDistanceMatrixEvaluator : ITSPPathEvaluator {
     ILookupParameter<DistanceMatrix> DistanceMatrixParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.TravelingSalesman/3.3/Interfaces/ITSPEvaluator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.TravelingSalesman/3.3/Interfaces/ITSPEvaluator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.TravelingSalesman/3.3/Interfaces/ITSPEvaluator.cs	(revision 14929)
@@ -21,4 +21,5 @@
 
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.TravelingSalesman {
@@ -26,4 +27,5 @@
   /// An interface which represents an evaluation operator for Traveling Salesman Problems.
   /// </summary>
+  [StorableType("0e8044c7-2a6d-4402-9499-691de09a74cc")]
   public interface ITSPEvaluator : ISingleObjectiveEvaluator { }
 }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.TravelingSalesman/3.3/Interfaces/ITSPMoveEvaluator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.TravelingSalesman/3.3/Interfaces/ITSPMoveEvaluator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.TravelingSalesman/3.3/Interfaces/ITSPMoveEvaluator.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using System;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.TravelingSalesman {
+  [StorableType("d7c6355b-baab-4b42-a6b2-a8eb173c2b9a")]
   public interface ITSPMoveEvaluator : ISingleObjectiveMoveEvaluator, IMoveOperator {
     Type EvaluatorType { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.TravelingSalesman/3.3/Interfaces/ITSPPathEvaluator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.TravelingSalesman/3.3/Interfaces/ITSPPathEvaluator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.TravelingSalesman/3.3/Interfaces/ITSPPathEvaluator.cs	(revision 14929)
@@ -22,4 +22,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Encodings.PermutationEncoding;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.TravelingSalesman {
@@ -27,4 +28,5 @@
   /// An interface which represents an evaluation operator which evaluates TSP solutions given in path representation.
   /// </summary>
+  [StorableType("59b83748-bea3-46d2-a34b-e3a049ce4e21")]
   public interface ITSPPathEvaluator : ITSPEvaluator {
     ILookupParameter<Permutation> PermutationParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.TravelingSalesman/3.3/Interfaces/ITSPPathMoveEvaluator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.TravelingSalesman/3.3/Interfaces/ITSPPathMoveEvaluator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.TravelingSalesman/3.3/Interfaces/ITSPPathMoveEvaluator.cs	(revision 14929)
@@ -23,6 +23,8 @@
 using HeuristicLab.Data;
 using HeuristicLab.Encodings.PermutationEncoding;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.TravelingSalesman {
+  [StorableType("08aaa13b-3ccc-4503-8729-3d5d6418f31d")]
   public interface ITSPPathMoveEvaluator : ITSPMoveEvaluator, IPermutationMoveOperator {
     ILookupParameter<DoubleMatrix> CoordinatesParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.TravelingSalesman/3.3/SimilarityCalculators/TSPSimilarityCalculator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.TravelingSalesman/3.3/SimilarityCalculators/TSPSimilarityCalculator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.TravelingSalesman/3.3/SimilarityCalculators/TSPSimilarityCalculator.cs	(revision 14929)
@@ -25,4 +25,5 @@
 using HeuristicLab.Encodings.PermutationEncoding;
 using HeuristicLab.Optimization.Operators;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.TravelingSalesman {
@@ -34,4 +35,5 @@
   /// </remarks>
   [Item("TSPSimilarityCalculator", "An operator that performs similarity calculation between two traveling salesman solutions. The operator calculates the similarity based on the number of edges the two solutions have in common.")]
+  [StorableType("f398ae9e-bc66-4e8d-b697-436f53d69622")]
   public sealed class TSPSimilarityCalculator : SingleObjectiveSolutionSimilarityCalculator {
     protected override bool IsCommutative { get { return true; } }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Alba/IAlbaOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Alba/IAlbaOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Alba/IAlbaOperator.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Problems.VehicleRouting.Variants;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Alba {
+  [StorableType("8ff9a82c-2e36-4130-b3d7-993c7044472a")]
   public interface IAlbaOperator :
     ISingleDepotOperator, IHeterogenousCapacitatedOperator, IMultiDepotOperator, ITimeWindowedOperator {
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Alba/Moves/IntraRouteInversion/IAlbaIntraRouteInversionMoveOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Alba/Moves/IntraRouteInversion/IAlbaIntraRouteInversionMoveOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Alba/Moves/IntraRouteInversion/IAlbaIntraRouteInversionMoveOperator.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Problems.VehicleRouting.Interfaces;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Alba {
+  [StorableType("5b41791a-6886-43be-a737-7117f35c80ae")]
   public interface IAlbaIntraRouteInversionMoveOperator : IVRPMoveOperator {
     ILookupParameter<AlbaIntraRouteInversionMove> IntraRouteInversionMoveParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Alba/Moves/LambdaInterchange/IAlbaLambdaInterchangeMoveOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Alba/Moves/LambdaInterchange/IAlbaLambdaInterchangeMoveOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Alba/Moves/LambdaInterchange/IAlbaLambdaInterchangeMoveOperator.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Problems.VehicleRouting.Interfaces;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Alba {
+  [StorableType("a4852d64-4ccb-48d1-b7b4-fc7e5a84dc28")]
   public interface IAlbaLambdaInterchangeMoveOperator : IVRPMoveOperator {
     ILookupParameter<AlbaLambdaInterchangeMove> LambdaInterchangeMoveParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Alba/Moves/ThreeOpt/IAlbaTranslocationMoveOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Alba/Moves/ThreeOpt/IAlbaTranslocationMoveOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Alba/Moves/ThreeOpt/IAlbaTranslocationMoveOperator.cs	(revision 14929)
@@ -23,6 +23,8 @@
 using HeuristicLab.Encodings.PermutationEncoding;
 using HeuristicLab.Problems.VehicleRouting.Interfaces;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Alba {
+  [StorableType("3861fe84-2329-40f7-b1d7-78b32c889b95")]
   public interface IAlbaTranslocationMoveOperator : IVRPMoveOperator {
     ILookupParameter<TranslocationMove> TranslocationMoveParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/GVR/IGVROperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/GVR/IGVROperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/GVR/IGVROperator.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Problems.VehicleRouting.Variants;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.GVR {
+  [StorableType("b41adf2b-56e2-448f-b7f5-c1ee0f6c53c7")]
   public interface IGVROperator :
     ISingleDepotOperator, IHomogenousCapacitatedOperator, ITimeWindowedOperator {
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/General/Moves/Interfaces/IMultiVRPMoveGenerator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/General/Moves/Interfaces/IMultiVRPMoveGenerator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/General/Moves/Interfaces/IMultiVRPMoveGenerator.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.General {
+  [StorableType("0e5e31f3-3d06-4e2c-8398-6556fc5cc8c8")]
   public interface IMultiVRPMoveGenerator : IMultiVRPMoveOperator, ISingleMoveGenerator {
   }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/General/Moves/Interfaces/IMultiVRPMoveOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/General/Moves/Interfaces/IMultiVRPMoveOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/General/Moves/Interfaces/IMultiVRPMoveOperator.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Problems.VehicleRouting.Interfaces;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.General {
+  [StorableType("f29ba213-ceba-4422-91f7-9d25955212fd")]
   public interface IMultiVRPMoveOperator : IVRPMoveOperator {
   }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/General/Moves/Interfaces/IVRPMove.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/General/Moves/Interfaces/IVRPMove.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/General/Moves/Interfaces/IVRPMove.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.General {
+  [StorableType("072d5d4d-7b9e-4291-9506-8309370a8032")]
   public interface IVRPMove : IItem {
     VRPMoveEvaluator GetMoveEvaluator();
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/IPotvinOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/IPotvinOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/IPotvinOperator.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Problems.VehicleRouting.Variants;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
+  [StorableType("1821ee36-0356-42f7-9487-61805f7ca2c7")]
   public interface IPotvinOperator :
     ISingleDepotOperator, IHomogenousCapacitatedOperator, ITimeWindowedOperator,
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/IPotvinCustomerRelocationMoveOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/IPotvinCustomerRelocationMoveOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/IPotvinCustomerRelocationMoveOperator.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Problems.VehicleRouting.Interfaces;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
+  [StorableType("6f27dca2-b184-45ed-8862-63e69ec8bcab")]
   public interface IPotvinCustomerRelocationMoveOperator : IVRPMoveOperator {
     ILookupParameter<PotvinCustomerRelocationMove> CustomerRelocationMoveParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/IPotvinPDExchangeMoveOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/IPotvinPDExchangeMoveOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/IPotvinPDExchangeMoveOperator.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Problems.VehicleRouting.Interfaces;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
+  [StorableType("63fe6643-ecbf-47fe-a942-2be64363b21f")]
   public interface IPotvinPDExchangeMoveOperator : IVRPMoveOperator {
     ILookupParameter<PotvinPDExchangeMove> PDExchangeMoveParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/IPotvinPDRearrangeMoveOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/IPotvinPDRearrangeMoveOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/IPotvinPDRearrangeMoveOperator.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Problems.VehicleRouting.Interfaces;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
+  [StorableType("d1fa0a68-401b-46b8-a6fd-416157efd382")]
   public interface IPotvinPDRearrangeMoveOperator : IVRPMoveOperator {
     ILookupParameter<PotvinPDRearrangeMove> PDRearrangeMoveParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/IPotvinPDShiftMoveOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/IPotvinPDShiftMoveOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/IPotvinPDShiftMoveOperator.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Problems.VehicleRouting.Interfaces;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
+  [StorableType("4459cdbd-f949-48bf-983a-f3cb48b272de")]
   public interface IPotvinPDShiftMoveOperator : IVRPMoveOperator {
     ILookupParameter<PotvinPDShiftMove> PDShiftMoveParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/IPotvinTwoOptStarMoveOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/IPotvinTwoOptStarMoveOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/IPotvinTwoOptStarMoveOperator.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Problems.VehicleRouting.Interfaces;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
+  [StorableType("897a932a-d3c5-4f5b-ab0d-2ed42e0a0a79")]
   public interface IPotvinTwoOptStarMoveOperator : IVRPMoveOperator {
     ILookupParameter<PotvinTwoOptStarMove> TwoOptStarMoveParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/IPotvinVehicleAssignmentMoveOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/IPotvinVehicleAssignmentMoveOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/IPotvinVehicleAssignmentMoveOperator.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Problems.VehicleRouting.Interfaces;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
+  [StorableType("4709d019-5f1f-4226-be30-a62788c6de58")]
   public interface IPotvinVehicleAssignmentMoveOperator : IVRPMoveOperator {
     ILookupParameter<PotvinVehicleAssignmentMove> VehicleAssignmentMoveParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Prins/IPrinsOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Prins/IPrinsOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Prins/IPrinsOperator.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Problems.VehicleRouting.Variants;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Prins {
+  [StorableType("ffe0800f-e724-4254-ade2-d5220f280c73")]
   public interface IPrinsOperator :
     ISingleDepotOperator, IHomogenousCapacitatedOperator, ITimeWindowedOperator {
